=== debian/changelog ===
rekonq (1.0-0ubuntu1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Jul 2012 12:25:11 +0100

rekonq (1.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Jul 2012 11:23:24 +0100

rekonq (0.9.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release
  * Merge with Debian, remaining changes:
    - keep kubuntu patches

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jul 2012 13:55:25 +0100

rekonq (0.9.2-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 21:31:53 +0200
