## rekonq 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Information to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "1.0" )
+SET(REKONQ_VERSION "1.1" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-version.h )
