=== debian/changelog ===
rekonq (1.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Aug 2012 17:00:47 +0100

rekonq (1.0-0ubuntu2) quantal; urgency=low

  * experimentally add kubuntu_adblock.diff, no easy way to set this in
    kubuntu-default-settings

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Aug 2012 16:44:59 +0100
