=== debian/control ===
Source: rekonq
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper (>= 9),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               kdelibs5-dev (>= 4:4.7),
               libqtwebkit-dev (>= 2.2.0),
               pkg-config
Standards-Version: 3.9.3
Homepage: http://rekonq.kde.org/
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/rekonq.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/rekonq.git

Package: rekonq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-bin
Suggests: kget
Provides: www-browser
Description: KDE web browser based on Webkit
 rekonq is a web browser based on WebKit and the KDE technologies.
 Its aim is to integrate nicely in the KDE desktop while providing
 a lightweight experience.
 .
 Non-exhaustive list of features :
  - shares bookmarks and network settings with konqueror
  - uses the kwallet password manager
  - integrates with the kget download manager
  - anonymous browsing mode

Package: rekonq-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, rekonq (= ${binary:Version})
Recommends: kdelibs5-dbg, libqtwebkit4-dbg
Description: debugging symbols for rekonq
 This package contains the debugging symbols associated with rekonq.
 They will automatically be used by gdb for debugging rekonq-related
 issues.
