## rekonq 2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Information to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "1.1" )
+SET(REKONQ_VERSION "2.1" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-version.h )
 
@@ -35,7 +35,7 @@
 #  MESSAGE(STATUS "Found QtWebKit ${PC_QTWEBKIT_VERSION}")
 #ENDIF()
 
-FIND_PACKAGE(KDE4 4.7.0 REQUIRED)
+FIND_PACKAGE(KDE4 4.9.0 REQUIRED)
 
 
 INCLUDE(MacroOptionalFindPackage)
@@ -92,7 +92,7 @@
     MESSAGE(STATUS " Qt library found...................... NO")
     MESSAGE(STATUS "")
     MESSAGE(SEND_ERROR " rekonq needs at least Qt ${QT_MIN_VERSION}. Please install it and try compiling again.")
-    MESSAGE(STATUS " Qt website is at http://qt.nokia.com")
+    MESSAGE(STATUS " Qt website is at http://qt-project.org")
     MESSAGE(STATUS "")
 ENDIF(QT4_FOUND)
 
@@ -184,7 +184,6 @@
 
     ADD_SUBDIRECTORY( src )
     ADD_SUBDIRECTORY( icons )
-    ADD_SUBDIRECTORY( kwebapp )
     ADD_SUBDIRECTORY( doc )
 
 ENDIF(REKONQ_CAN_BE_COMPILED)
