=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -8,4 +8,3 @@
 add_subdirectory(fr)
 add_subdirectory(es)
 add_subdirectory(en_US)
-add_subdirectory(pt_BR)
