=== debian/changelog ===
rekonq (2.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Fixed patch kubuntu_no_default_bookmarks.diff

 -- Howard Chan <smartboyhw@gmail.com>  Wed, 30 Jan 2013 21:39:37 +0800

rekonq (2.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jan 2013 16:13:31 +0000

rekonq (1.80-0ubuntu1) raring; urgency=low

  * New upstream alpha release (LP: #1082738)
    - build-depend on libqoauth-dev and shared-desktop-ontologies
    - port kubuntu_restricted_install.diff to the new code

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Dec 2012 20:00:30 +0100

rekonq (1.3-0ubuntu1) raring; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Dec 2012 13:14:17 +0100
