=== debian/control ===
--- 
+++ 
@@ -4,13 +4,15 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Felix Geyer <debfx-pkg@fobos.de>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: debhelper (>= 9),
+           José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kdelibs5-dev (>= 4:4.7),
+               libqoauth-dev,
+               libqtwebkit-dev (>= 2.2.0),
+               pkg-config,
                pkg-kde-tools (>= 0.5.0~),
-               cmake,
-               kdelibs5-dev (>= 4:4.7),
-               libqtwebkit-dev (>= 2.2.0),
-               pkg-config
+               shared-desktop-ontologies
 Standards-Version: 3.9.3
 Homepage: http://rekonq.kde.org/
 DM-Upload-Allowed: yes
@@ -19,7 +21,7 @@
 
 Package: rekonq
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-bin
+Depends: kde-baseapps-bin, ${misc:Depends}, ${shlibs:Depends}
 Suggests: kget
 Provides: www-browser
 Description: KDE web browser based on Webkit
@@ -37,7 +39,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, rekonq (= ${binary:Version})
+Depends: rekonq (= ${binary:Version}), ${misc:Depends}
 Recommends: kdelibs5-dbg, libqtwebkit4-dbg
 Description: debugging symbols for rekonq
  This package contains the debugging symbols associated with rekonq.
