## rekonq 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Information to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "2.1" )
+SET(REKONQ_VERSION "2.2.1" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-version.h )
 
@@ -35,7 +35,7 @@
 #  MESSAGE(STATUS "Found QtWebKit ${PC_QTWEBKIT_VERSION}")
 #ENDIF()
 
-FIND_PACKAGE(KDE4 4.9.0 REQUIRED)
+FIND_PACKAGE(KDE4 4.8.4 REQUIRED)
 
 
 INCLUDE(MacroOptionalFindPackage)
@@ -49,11 +49,11 @@
 # ==================================================================================
 # optional nepomuk requirements
 
-MACRO_OPTIONAL_FIND_PACKAGE(Nepomuk)
-MACRO_BOOL_TO_01(Nepomuk_FOUND HAVE_NEPOMUK)
-
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-nepomuk.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-nepomuk.h )
-
+FIND_PACKAGE(NepomukCore 0.1.0)
+
+IF(NepomukCore_FOUND)
+    ADD_DEFINITIONS(-DHAVE_NEPOMUK)
+ENDIF(NepomukCore_FOUND)
 
 # ==================================================================================
 # optional QCA2 & QtOAuth requirements
@@ -138,13 +138,13 @@
 
     # Nepomuk
 
-    IF(HAVE_NEPOMUK)
+    IF(NepomukCore_FOUND)
         MESSAGE(STATUS " Nepomuk Libraries..................... YES")
         MESSAGE(STATUS " Rekonq will be compiled with support for bookmarks nepomuk tagging")
-    ELSE(HAVE_NEPOMUK)
+    ELSE(NepomukCore_FOUND)
         MESSAGE(STATUS " Nepomuk Libraries..................... NO")
         MESSAGE(STATUS " Rekonq will be compiled WITHOUT support for bookmarks tagging")
-    ENDIF(HAVE_NEPOMUK)
+    ENDIF(NepomukCore_FOUND)
 
     MESSAGE(STATUS "")
