=== po/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
 add_subdirectory(sr)
 add_subdirectory(sr@latin)
 add_subdirectory(zh_CN)
+add_subdirectory(mr)
 add_subdirectory(el)
 add_subdirectory(et)
 add_subdirectory(it)
@@ -28,7 +29,6 @@
 add_subdirectory(fr)
 add_subdirectory(da)
 add_subdirectory(ia)
-add_subdirectory(lt)
 add_subdirectory(hu)
 add_subdirectory(es)
 add_subdirectory(sr@ijekavian)
@@ -36,6 +36,7 @@
 add_subdirectory(km)
 add_subdirectory(pt_BR)
 add_subdirectory(sl)
+add_subdirectory(tr)
 add_subdirectory(zh_TW)
 add_subdirectory(nb)
 add_subdirectory(cs)
