=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
     #----------------------------------------
     bookmarks/bookmarkmanager.cpp
     bookmarks/bookmarkscontextmenu.cpp
+    bookmarks/bookmarksmenu.cpp
     bookmarks/bookmarkstoolbar.cpp
     bookmarks/bookmarkowner.cpp
     #----------------------------------------
@@ -111,13 +112,15 @@
 
 
 # Nepomuk OPTIONAL src files
-IF(HAVE_NEPOMUK)
+IF(NepomukCore_FOUND)
     SET( rekonq_KDEINIT_SRCS
             ${rekonq_KDEINIT_SRCS}
             urlbar/resourcelinkdialog.cpp
             urlbar/newresourcedialog.cpp
-    )
-ENDIF(HAVE_NEPOMUK)
+            nepomuk/utils/simpleresourcemodel.cpp
+            nepomuk/utils/resourcemodel.cpp
+    )
+ENDIF(NepomukCore_FOUND)
 
 
 # Opera sync optional src files
@@ -181,13 +184,14 @@
 )
 
 # Nepomuk optional include directories
-IF(HAVE_NEPOMUK)
+IF(NepomukCore_FOUND)
     INCLUDE_DIRECTORIES(${SOPRANO_INCLUDE_DIR}
-                        ${NEPOMUK_INCLUDE_DIR}
-    )
-
+                        ${NEPOMUK_CORE_INCLUDE_DIR}
+    )
+
+    FIND_PACKAGE(Soprano REQUIRED)
     INCLUDE(SopranoAddOntology)
-ENDIF(HAVE_NEPOMUK)
+ENDIF(NepomukCore_FOUND)
 
 # Opera sync optional include directories
 IF(HAVE_QCA2 AND HAVE_QTOAUTH)
@@ -232,13 +236,12 @@
 )
 
 # Nepomuk optional target link libraries
-IF(HAVE_NEPOMUK)
+IF(NepomukCore_FOUND)
     TARGET_LINK_LIBRARIES(  kdeinit_rekonq
-                            ${NEPOMUK_LIBRARIES}
-                            ${NEPOMUK_QUERY_LIBRARIES}
+                            ${NEPOMUK_CORE_LIBRARY}
                             ${SOPRANO_LIBRARIES}
     )
-ENDIF(HAVE_NEPOMUK)
+ENDIF(NepomukCore_FOUND)
 
 # Opera sync optional link libraries
 IF(HAVE_QCA2 AND HAVE_QTOAUTH)
@@ -260,3 +263,4 @@
 
 INSTALL( FILES rekonq.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
 INSTALL( FILES webwindow/rekonqui.rc  DESTINATION  ${DATA_INSTALL_DIR}/rekonq )
+
