=== debian/changelog ===
rekonq (2.2.1-0ubuntu5) raring; urgency=low

  * Add 0001-i18n-make-sure-text-passed-to-i18n-is-UTF-8.patch from upstream.
    Strings to i18n must be UTF-8.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 16 Apr 2013 12:35:35 +0200

rekonq (2.2.1-0ubuntu4) raring; urgency=low

  * Add 0001-pass-menutitle-through-i18n-to-get-it-localized.patch from upstream.
    rekonqrc.ui is parsed manually but did not localize the titles.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 16 Apr 2013 11:16:05 +0200

rekonq (2.2.1-0ubuntu3) raring; urgency=low

  * Add 0001-honor-filetype-setting-WRT-embedding.patch from upstream.
    This makes rekonq follow the KDE filetype settings for kpart embedding.

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 12 Apr 2013 14:29:28 +0200

rekonq (2.2.1-0ubuntu2) raring; urgency=low

  * Add 0001-downloads-should-by-default-go-to-the-configured-dow.patch from
    upstream.
    This makes the download location default to the xdg downloads dir

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 10 Apr 2013 10:52:14 +0200

rekonq (2.2.1-0ubuntu1) raring; urgency=low

  * New bugfix upstream release to fix bookmarks.  

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 08 Mar 2013 18:36:38 +0800

rekonq (2.2-0ubuntu1) raring; urgency=low

  [ Howard Chan ]
  * New upstream release.
  * Updated debian/control to the latest standards version (version 3.9.4)
  * Updated debian/control to delete obsolete field

  [ Philip Muškovac ]
  * Add nepomuk-core-dev to Build-Depends for bookmark tagging support

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 01 Mar 2013 21:50:34 +0800
