=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                libqtwebkit-dev (>= 2.2.0),
                pkg-config,
                pkg-kde-tools (>= 0.5.0~),
-               shared-desktop-ontologies
-Standards-Version: 3.9.3
+               shared-desktop-ontologies,
+               nepomuk-core-dev
+Standards-Version: 3.9.4
 Homepage: http://rekonq.kde.org/
-DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/rekonq.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/rekonq.git
